<div class="auth-form-center">
  <app-progress-bar-loader></app-progress-bar-loader>
  <!-- <div class="auth-form-header">
    <img src="../../../assets/images/logo.png" />
    <h4>{{'Change Password' | translate}}</h4>
  </div> -->
  <div class="auth-form-body">
    <form
      novalidate
      [formGroup]="changePasswordForm"
      (ngSubmit)="changePassword()"
      class="form-row"
    >
      <div class="col-12">
        <mat-form-field appearance="outline" class="input-fluid">
          <mat-label> {{ "Old Password" | translate }}</mat-label>
          <input
            id="oldPassword"
            formControlName="oldPassword"
            placeholder=" {{ 'Old Password' | translate }}"
            matInput
            [type]="hide ? 'text' : 'password'"
          />
          <a
            mat-icon-button
            matSuffix
            (click)="hide = !hide"
            [attr.aria-label]="'Hide password'"
            [attr.aria-pressed]="hide"
          >
            <mat-icon>{{ hide ? "visibility" : "visibility_off" }}</mat-icon>
          </a>
          <mat-error *ngIf="oldPassword.hasError('required')">
            {{ "Old Password" | translate }} {{ "is required" | translate }}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="col-12">
        <mat-form-field appearance="outline" class="input-fluid">
          <mat-label>{{ "New Password" | translate | titlecase }} </mat-label>
          <input
            id="newPassword"
            formControlName="newPassword"
            matInput
            placeholder="{{ 'New Password' | translate | titlecase }}"
            type="password"
            [type]="hide1 ? 'text' : 'password'"
          />
          <a
            mat-icon-button
            matSuffix
            (click)="hide1 = !hide1"
            [attr.aria-label]="'Hide password'"
            [attr.aria-pressed]="hide1"
          >
            <mat-icon>{{ hide1 ? "visibility" : "visibility_off" }}</mat-icon>
          </a>
          <mat-error *ngIf="newPassword.hasError('required')">
            {{ "New Password" | translate | titlecase }}
            {{ "is required" | translate }}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="col-12">
        <mat-form-field appearance="outline" class="input-fluid">
          <mat-label
            >{{ "Re New Password" | translate | titlecase }}
          </mat-label>
          <input
            id="reNewPassword"
            formControlName="reNewPassword"
            matInput
            placeholder="{{ 'Re New Password' | translate | titlecase }}"
            type="password"
            [type]="hide2 ? 'text' : 'password'"
          />
          <a
            mat-icon-button
            matSuffix
            (click)="hide2 = !hide2"
            [attr.aria-label]="'Hide password'"
            [attr.aria-pressed]="hide2"
          >
            <mat-icon>{{ hide2 ? "visibility" : "visibility_off" }}</mat-icon>
          </a>
          <mat-error *ngIf="reNewPassword.hasError('required')">
            {{ "Re New Password" | translate | titlecase }}
            {{ "is required" | translate }}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="col-12">
        <mat-error *ngIf="changePasswordError == 1">
          {{ "CHANGE_TRUE" | translate | titlecase }}
        </mat-error>
        <mat-error *ngIf="changePasswordError == 2">
          {{ "CHANGE_FAILED" | translate | titlecase }}
        </mat-error>

        <div class="d-flex justify-content-between mt-4">
          <a routerLink="../forgotpassword"
            >{{ "Forgot" | translate | titlecase }}
            {{ "password" | translate | titlecase }} ?</a
          >
          <button
            *ngIf="isClick == false"
            type="submit"
            class="btn btn-primary"
          >
            {{ "Change" | translate | titlecase }}
          </button>
          <button *ngIf="isClick == true" class="btn btn-primary">
            {{ "Checking" | translate | titlecase }}
            <i class="fa fa-spinner fa-spin"></i>
          </button>
        </div>
      </div>
    </form>
  </div>
  <div class="auth-form-footer"></div>
</div>
